import request from '@/utils/request'

// 查询巡检报告列表
export function listInspectionReport(query) {
  return request({
    url: '/ems/inspectionReport/list',
    method: 'get',
    params: query
  })
}

// 查询巡检报告详细
export function getInspectionReport(id) {
  return request({
    url: '/ems/inspectionReport/' + id,
    method: 'get'
  })
}

// 新增巡检报告
export function addInspectionReport(data) {
  return request({
    url: '/ems/inspectionReport',
    method: 'post',
    data: data
  })
}

// 修改巡检报告
export function updateInspectionReport(data) {
  return request({
    url: '/ems/inspectionReport',
    method: 'put',
    data: data
  })
}

// 删除巡检报告
export function delInspectionReport(id) {
  return request({
    url: '/ems/inspectionReport/' + id,
    method: 'delete'
  })
}
